# PSF-LoginServer - master - net.psforever.objects.vehicles.MountableWeapons
PSF - LoginServer - master - net.psforever.objects.vehicles.MountableWeapons
Keywords: PSF LoginServer master net.psforever.objects.vehicles.MountableWeapons

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vehicles
  Definition Classes
    objects
-  package control
  Definition Classes
    vehicles
- AccessPermissionGroup
- AntTransferBehavior
- Cargo
- CargoBehavior
- CargoVehicleRestriction
- DestroyedVehicle
- InternalTelepadDefinition
- ManifestPassengerEntry
- MountableWeapons
- MountableWeaponsDefinition
- MountedWeapons
- MountedWeaponsDefinition
- SeatArmorRestriction
- Turrets
- Utility
- UtilityType
- VehicleLockState
- VehicleManifest

t

net.psforever.objects.vehicles

# MountableWeapons

###

#### trait MountableWeapons extends MountedWeapons with Mountable

Self Type
  MountableWeapons with PlanetSideGameObject
Source
  MountableWeapons.scala

Linear Supertypes
Mountable, MountedWeapons, AnyRef, Any
Known Subclasses
TurretDeployable, Vehicle, OrbitalShuttle, FacilityTurret, WeaponTurret

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MountableWeapons
2. Mountable
3. MountedWeapons
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def Actor: ActorRef

   A reference to an `Actor` that governs the logic of the object to accept `Mountable` messages.

   A reference to an `Actor` that governs the logic of the object to accept `Mountable` messages. Specifically, the `Actor` should intercept the logic of `MountableControl.`

   returns

     the internal `ActorRef`

   Definition Classes
     Mountable
   See also

     `MountableControl`

     `PlanetSideServerObject.Actor`

2.  abstract def Definition: MountableWeaponsDefinition
   Definition Classes
     MountableWeapons → Mountable → MountedWeapons

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def ControlledWeapon(wepNumber: Int): Option[Equipment]
5.  def GetSeatFromMountPoint(mountPoint: Int): Option[Int]

   Given a mount point index, return the associated mount index.

   Given a mount point index, return the associated mount index.

   mountPoint

     the mount point

   returns

     the mount index

   Definition Classes
     Mountable
6.  def MountPoints: Map[Int, MountInfo]

   Retrieve a mapping of each mount from its mount point index.

   Retrieve a mapping of each mount from its mount point index.

   returns

     the mapping of mount point to mount

   Definition Classes
     Mountable
7.  def PassengerInSeat(user: Player): Option[Int]

   Given a player, determine if that player is seated.

   Given a player, determine if that player is seated.

   user

     the player

   returns

     the mount index

   Definition Classes
     Mountable
8.  def Seat(seatNumber: Int): Option[Seat]

   Given a mount's index position, retrieve the internal `Seat` object.

   Given a mount's index position, retrieve the internal `Seat` object.

   returns

     the specific mount

   Definition Classes
     Mountable
9.  def Seats: Map[Int, Seat]

   Retrieve a mapping of each mount from its internal index.

   Retrieve a mapping of each mount from its internal index.

   returns

     the mapping of index to mount

   Definition Classes
     Mountable
10.  def WeaponControlledFromSeat(seatNumber: Int): Option[Equipment]

    Given a valid mount number, retrieve an index where the weapon controlled from this mount is mounted.

    Given a valid mount number, retrieve an index where the weapon controlled from this mount is mounted.

    seatNumber

      the mount number

    returns

      a mounted weapon by index, or `None` if either the mount doesn't exist or there is no controlled weapon

11.  def Weapons: Map[Int, EquipmentSlot]
    Definition Classes
      MountedWeapons
12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
14.  def controlledWeapon(wepNumber: Int): Option[Equipment]
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  val seats: Map[Int, Seat]
    Attributes
      protected
    Definition Classes
      Mountable
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
30.  val weapons: Map[Int, EquipmentSlot]
    Attributes
      protected
    Definition Classes
      MountedWeapons

### Inherited from Mountable

### Inherited from MountedWeapons

### Inherited from AnyRef

### Inherited from Any

### Ungrouped